Bug 1012472 - swift: cannot create multiple containers using post
swift: cannot create multiple containers using post
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
4.0
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Pete Zaitcev
Haim
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 10:14 EDT by Dafna Ron
Modified: 2016-04-26 17:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-18 03:24:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1231474 None None None Never

  None (edit)
Description Dafna Ron 2013-09-26 10:14:48 EDT
Description of problem:

if I run: swift post <container> we create the container

i think we should be able to run:
swift post <container1> <container2> <container3>

please note that bug was opened to create a separate create command and if accepted this can be closed.

Version-Release number of selected component (if applicable):

openstack-swift-1.8.0-6.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. run swift post <container> <container> 
2.
3.

Actual results:

we exit command 

Expected results:

we should be able to create multiple containers

Additional info:
Comment 1 Ayal Baron 2013-10-01 05:47:12 EDT
Opened upstream?
Comment 2 Dafna Ron 2013-10-01 10:53:30 EDT
sorry. 
here it is: https://bugs.launchpad.net/swift/+bug/1231474

Note You need to log in before you can comment on or make changes to this bug.